<?php

/**
 * Configuration for Google2FA plugin
 *
 * @author Norman Thimm
 * @copyright 2015 Norman Thimm
 * @license http://www.gnu.org/licenses/ GNU Affero General Public License
 * @link http://www.familiethimm.de/
 */

/** 
 * Select database ('settings') (be careful if you change it later)
 */
define('PLUGIN_GOOGLE2FA_DATABASE', 'settings');

/**
 * Force an available cryption ('auto', 'no', 'base64', 'mcrypt') (has affect for new plugin users or in case of settings if user resets plugin in settings)
 */
define('PLUGIN_GOOGLE2FA_CRYPT', 'base64'); // mcrypt not tested yet

/**
 * MCrypt key (be careful if you change it later - in case of settings a plugin user has to reset plugin in settings in the moment of change)
 */
define('PLUGIN_GOOGLE2FA_MCRYPTKEY', 'Evi8M-Jmg6OZ2ne!9z5uHd');

/**
 * Application name in Authenticator
 */
define('PLUGIN_GOOGLE2FA_APPNAME', 'WebApp');

/**
 * Enable/Disable plugin (default for new users, this doesn't mean the activation of two-factor authentication)
 */
define('PLUGIN_GOOGLE2FA_ENABLE', true);

/**
 * Enable plugin when plugin is loading, the user can't disable the plugin (but if button is enabled the user can deactivate two-factor authentication)
 */
define('PLUGIN_GOOGLE2FA_ALWAYS_ENABLED', false);

/**
 * Enable/Disable button configuration in settings (for example for admin administration in mysql, ldap, ...)
 */
define('PLUGIN_GOOGLE2FA_ENBUTCONF', true);

/**
 * Enable/Disable button activate/deactivate in settings (for example for admin administration in mysql, ldap, ...)
 */
define('PLUGIN_GOOGLE2FA_ENBUTACTIV', true);

/**
 * Enable/Disable button timeless codes in settings (for example for admin administration in mysql, ldap, ...)
 */
define('PLUGIN_GOOGLE2FA_ENBUTTCODES', true);

/**
 * Enable/Disable button reset configuration in settings (for example for admin administration in mysql, ldap, ...)
 */
define('PLUGIN_GOOGLE2FA_ENBUTTRESET', true);

/**
 * Quantity timeless codes
 */
define('PLUGIN_GOOGLE2FA_TCODES', 9);

?>
